# -------------------------------------------------
# Project created by QtCreator 2010-08-12T14:46:35
# -------------------------------------------------
QT = core \
    gui \
    xml \
    network \
    webkit
maemo5: QT += dbus
TARGET = mysocials
TEMPLATE = app

# include private developer settings
exists(../devel.pri):include(../devel.pri)

CONFIG += link_pkgconfig thread
PKGCONFIG += mysocials-core msaqtwidgets

#qtsingleapplication
include(QtSingleApplication/qtsingleapplication.pri)

#libnotify
system(pkg-config --exists libnotify) {
    message("libnotify exists")
    PKGCONFIG += libnotify
    DEFINES += ENABLE_NOTIFY
}


isEmpty(ENABLE_DEBUG): CONFIG += release
!isEmpty(ENABLE_DEBUG): CONFIG += debug

OBJECTS_DIR = build

DEFINES += LOCALDATADIR=\\\"/.msa/\\\"
unix {
    #VARIABLES
    isEmpty(PREFIX) {
        PREFIX = $$[QT_INSTALL_PREFIX]
    }
}
message(prefix is $$PREFIX)

# prefix for search shared files
DATAPREFIX=$$PREFIX/share
DEFINES += DATAPREFIX=\\\"$$DATAPREFIX\\\"
message(dataprefix is $$DATAPREFIX)
    
BINDIR = $$PREFIX/bin
DATADIR =$$PREFIX/share
    
DOCDIR = $$DATAPREFIX/doc/$${TARGET}
maemo5: DOCDIR = $$DATAPREFIX/$${TARGET}/doc
DEFINES += DOCDIR=\\\"$$DOCDIR\\\"
message(DOCDIR is $$DOCDIR)

# meego harmattan sdk defines
exists($$QMAKE_INCDIR_QT"/../qmsystem2/qmkeys.h"):!contains(MEEGO_EDITION,harmattan): {
  MEEGO_VERSION_MAJOR     = 1
  MEEGO_VERSION_MINOR     = 2
  MEEGO_VERSION_PATCH     = 0
  MEEGO_EDITION           = harmattan
  DEFINES += MEEGO_EDITION_HARMATTAN
}

INCLUDEPATH += /usr/include/mysocials
SOURCES += main.cpp \
    ui/uiapplicationsettings.cpp \
    mainwindow.cpp \
    ui/profile.cpp
HEADERS += \
    ui/uiapplicationsettings.h\
    mainwindow.h \
    ui/profile.h
FORMS += \
    ui/uiapplicationsettings.ui \
    ui/profile.ui \
    mainwindow.ui
RESOURCES += ../data/res.qrc

CODECFORSRC = UTF-8

TRANSLATIONS = ../translations/$${TARGET}_ru.ts

translations.path = $$DATADIR/qt4/translations/
translations.files = ../translations/*.qm
INSTALLS += translations

# icon
DEFINES += ICONPATH=\\\"$$DATADIR/pixmaps/$${TARGET}.png\\\"

# make install
unix {
    INSTALLS += target desktop icon26 icon40 icon64 pixmap data

    target.path = $$BINDIR

    desktop.path = $$DATADIR/applications
    maemo5: desktop.path = $$DATADIR/applications/hildon
    desktop.files += ../data/$${TARGET}.desktop

    icon26.path = $$DATADIR/icons/hicolor/26x26/apps
    icon26.files += ../data/26x26/$${TARGET}.png

    icon40.path = $$DATADIR/icons/hicolor/40x40/apps
    icon40.files += ../data/40x40/$${TARGET}.png

    icon64.path = $$DATADIR/icons/hicolor/64x64/apps
    icon64.files += ../data/64x64/$${TARGET}.png
    
    pixmap.path = $$DATADIR/pixmaps
    pixmap.files += ../data/pixmap/$${TARGET}.png

    data.path = $$DOCDIR
    data.files += ../data/doc/*
}
